# $Revision: 1.22 $, $Date: 2004/04/12 18:07:19 $
#
# Conditional build:
%bcond_with	gimp	# without GIMP libraries (don't build as gimp plugin)
# (disabled for now, it's broken)
#
Summary:	An X Window System tool for creating morphed images
Summary(pl):	Narzdzie do morphingu pod X Window System
Name:		xmorph
Version:	20040110
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://dl.sourceforge.net/xmorph/%{name}_%{version}.tar.gz
# Source0-md5:	f0fec1ab474649fbbc74f04e2b151e19
Patch0:		%{name}-gimp.patch
Patch1:		%{name}-libname.patch
Patch2:		%{name}-info.patch
URL:		http://xmorph.sourceforge.net/
BuildRequires:	XFree86-devel
%{?with_gimp:BuildRequires:	gimp-devel >= 1:1.2}
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	pkgconfig
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with gimp}
%define		gimpplugindir	%(gimptool --gimpplugindir)/plug-ins
%endif

%description
Xmorph is a digital image warping (aka morphing) program. Xmorph
provides the tools needed and comprehensible instructions for you to
create morphs: changing one image into another. Xmorph runs under the
X Window System.

%description -l pl
xmorph jest programem do cyfrowego przeksztacania obrazw
(morphingu). Pakiet dostarcza potrzebne narzdzia oraz opis jak
tworzy przeksztacenia. Dziaa w rodowisku X Window System.

%package gtk
Summary:	gtkmorph - GTK+ version of xmorph
Summary(pl):	gtkmorph - wersja xmorpha oparta na GTK+
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description gtk
gtkmorph - GTK+ version of xmorph.

%description gtk -l pl
gtkmorph - wersja xmorpha oparta na GTK+.

%package devel
Summary:	Header files for xmorph library
Summary(pl):	Pliki nagwkowe biblioteki xmorph
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for xmorph library.

%description devel -l pl
Pliki nagwkowe biblioteki xmorph.

%package static
Summary:	Static xmorph library
Summary(pl):	Statyczna biblioteka xmorph
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static xmorph library.

%description static -l pl
Statyczna biblioteka xmorph.

%prep
%setup -q -n %{name}-current
%patch0 -p1
%patch1 -p1 -b .orig
%patch2 -p1

echo 'AM_DEFUN([AM_PATH_GTK],[$3])' > acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-gtk2

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

echo '.so xmorph.1' > $RPM_BUILD_ROOT%{_mandir}/man1/morph.1

# gtkmorph locales despite the xmorph name
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HISTORY README TODO libmorph/README.libmorph
%attr(755,root,root) %{_bindir}/morph
%attr(755,root,root) %{_bindir}/xmorph
%attr(755,root,root) %{_libdir}/libxmorph.so.*.*.*
%{_datadir}/xmorph
%{_mandir}/man1/morph.1*
%{_mandir}/man1/xmorph.1*
%{_infodir}/xmorph.info*
%if %{with gimp}
%attr(755,root,root) %{gimpplugindir}/xmorph
%endif

%files gtk -f %{name}.lang
%defattr(644,root,root,755)
%doc gtkmorph/{ChangeLog,README}
%attr(755,root,root) %{_bindir}/gtkmorph
%{_mandir}/man1/gtkmorph.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxmorph.so
%{_libdir}/libxmorph.la
%{_includedir}/xmorph

%files static
%defattr(644,root,root,755)
%{_libdir}/libxmorph.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmorph.spec,v $
Revision 1.22  2004/04/12 18:07:19  qboosh
- updated to 20040110 (quite different fork, but actively developed now)
- removed obsolete patches, added gimp,info,libname ones
- added -gtk,-devel,-static subpackages
- gimp plugin disabled for now - too broken

Revision 1.21  2004/04/11 21:41:22  qboosh
- updated URLs (TODO: update to existing version)

Revision 1.20  2004/03/19 16:46:15  grzegol
- added epoch to gimp requires

Revision 1.19  2004/02/15 13:27:04  eothane
- bcond style, changelog cleanups

Revision 1.18  2003/08/01 21:18:17  qboosh
- s/gimp-config/gimptool/ (needed for 1.3.17+), release 3

Revision 1.17  2003/06/19 15:37:52  qboosh
- updated gimp1.3 patch to work with 1.3.15
- release 2

Revision 1.16  2003/05/28 13:03:10  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:28:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/05/11 21:18:01  qboosh
- patched to support gimp 1.3

Revision 1.13  2003/01/18 22:58:56  juandon
- removed two lines with define

Revision 1.12  2002/11/30 23:00:31  juandon
- new %%doc

Revision 1.11  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:15:42  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/09/18 11:33:24  qboosh
- 2001.07.27, updated Source URL and patches
- bcond for gimp

Revision 1.7  2001/05/03 01:14:07  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2000/06/09 07:24:22  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:05:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/11/02 13:30:21  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.1  1999/08/19 20:07:27  baggins
- almost raw
